### Constructor

# FwupdPlugin ProcessorDevice new

since: 2.1.1

#### Declaration [src]

    FuProcessorDevice*
    fu_processor_device_new (
      FuContext* ctx
    )

#### Description [src]

Creates a new `FuProcessorDevice`.

Available since: 2.1.1

#### Parameters

`ctx`

  Type: `FuContext`

  A `FuContext`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuProcessorDevice`

A `FuProcessorDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.